package com.zanxiang.game.module.manage.enums;

import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2021-08-11
 * @description : oss文件上传类型
 */
@Getter
public enum FileTypeEnum {

    /**
     * 视频类型
     */
    FILE_TYPE_VIDEO("video", "video/"),

    /**
     * 图片类型
     */
    FILE_TYPE_IMAGE("image", "image/");

    /**
     * 文件类型
     */
    private String fileType;

    /**
     * 文件存储文件名
     */
    private String filePath;

    FileTypeEnum(String fileType, String filePath) {
        this.fileType = fileType;
        this.filePath = filePath;
    }

    public static FileTypeEnum getByFileType(String fileType) {
        for (FileTypeEnum fileTypeEnum : FileTypeEnum.values()) {
            if (fileTypeEnum.getFileType().equals(fileType)) {
                return fileTypeEnum;
            }
        }
        return null;
    }
}
